net.snowflake.client.jdbc

## Class SnowflakeFileTransferConfig

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeFileTransferConfig

    public class SnowflakeFileTransferConfig
    extends Object

This class manages the parameters to call SnowflakeFileTransferAgent.uploadWithoutConnection()

### Nested Class Summary

Nested Classes
`static class` `SnowflakeFileTransferConfig.Builder`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeFileTransferConfig(SnowflakeFileTransferConfig.Builder builder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommand()`
`String` `getDestFileName()`
`int` `getNetworkTimeoutInMilli()`
`OCSPMode` `getOcspMode()`
`String` `getPrefix()`
`Properties` `getProxyProperties()`
`boolean` `getRequireCompress()`
`SFSession` `getSession()`
`SnowflakeFileTransferMetadata` `getSnowflakeFileTransferMetadata()`
`InputStream` `getUploadStream()`
`boolean` `getUseS3RegionalUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeFileTransferConfig

    public SnowflakeFileTransferConfig(SnowflakeFileTransferConfig.Builder builder)

### Method Detail

#### getSnowflakeFileTransferMetadata

    public SnowflakeFileTransferMetadata getSnowflakeFileTransferMetadata()

#### getUploadStream

    public InputStream getUploadStream()

#### getRequireCompress

    public boolean getRequireCompress()

#### getNetworkTimeoutInMilli

    public int getNetworkTimeoutInMilli()

#### getOcspMode

    public OCSPMode getOcspMode()

#### getProxyProperties

    public Properties getProxyProperties()

#### getPrefix

    public String getPrefix()

#### getDestFileName

    public String getDestFileName()

#### getSession

    public SFSession getSession()

#### getCommand

    public String getCommand()

#### getUseS3RegionalUrl

    public boolean getUseS3RegionalUrl()